Debian Bug report logs - #698112
asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9

version graph

Package: asterisk; Maintainer for asterisk is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>; Source for asterisk is src:asterisk.

Reported by: Dennis Rech <it@wikon.de>

Date: Mon, 14 Jan 2013 08:03:01 UTC

Severity: grave

Found in version asterisk/1:1.6.2.9-2+squeeze8

Fixed in version asterisk/1:1.6.2.9-2+squeeze10

Done: Tzafrir Cohen <tzafrir@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Rech <it@wikon.de>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 08:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis Rech <it@wikon.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 08:38:35 +0100
Package: asterisk
Version: 1:1.6.2.9-2+squeeze8
Severity: grave
Justification: renders package unusable


asterisk crashes when placing a call after a update to recent versions with apt-get

Upgrade: asterisk:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), asterisk-sounds-main:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), asterisk-config:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9)

Error:

[9058168.846934] asterisk[2585]: segfault at 1 ip b7493b77 sp b5415684 error 4 in libc-2.11.3.so[b741e000+140000]
[9058212.632085] asterisk[2709]: segfault at 1 ip b748db77 sp b540f684 error 4 in libc-2.11.3.so[b7418000+140000]



-- System Information:
Debian Release: 6.0.6
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages asterisk depends on:
ii  adduser            3.112+nmu2            add and remove users and groups
ii  asterisk-config    1:1.6.2.9-2+squeeze8  Configuration files for Asterisk
ii  asterisk-sounds-ma 1:1.6.2.9-2+squeeze8  Core Sound files for Asterisk (Eng
ii  dahdi              1:2.2.1.1-1           utilities for using the DAHDI kern
ii  libasound2         1.0.23-2.1            shared library for ALSA applicatio
ii  libc-client2007e   8:2007e~dfsg-3.1      c-client library for mail protocol
ii  libc6              2.11.3-4              Embedded GNU C Library: Shared lib
ii  libcap2            1:2.19-3              support for getting/setting POSIX.
ii  libcurl3           7.21.0-2.1+squeeze2   Multi-protocol file transfer libra
ii  libgcc1            1:4.4.5-8             GCC support library
ii  libglib2.0-0       2.24.2-1              The GLib library of C routines
ii  libgmime-2.0-2a    2.2.25-2              MIME library
ii  libgsm1            1.0.13-3              Shared libraries for GSM speech co
ii  libiksemel3        1.2-4                 C library for the Jabber IM platfo
ii  libjack-jackd2-0 [ 1.9.6~dfsg.1-2        JACK Audio Connection Kit (librari
ii  libldap-2.4-2      2.4.23-7.2            OpenLDAP libraries
ii  liblua5.1-0        5.1.4-5               Simple, extensible, embeddable pro
ii  libncurses5        5.7+20100313-5        shared libraries for terminal hand
ii  libnewt0.52        0.52.11-1             Not Erik's Windowing Toolkit - tex
ii  libogg0            1.2.0~dfsg-1          Ogg bitstream library
ii  libopenais3        1.1.2-2               Standards-based cluster framework 
ii  libopenr2-3        1.3.0-2               MFC/R2 (telephony) call setup libr
ii  libpopt0           1.16-1                lib for parsing cmdline parameters
ii  libpq5             8.4.13-0squeeze1      PostgreSQL C client library
ii  libpri1.4          1.4.11.3-1            Primary Rate ISDN specification li
ii  libradiusclient-ng 0.5.6-1.1             Enhanced RADIUS client library
ii  libresample1       0.1.3-3               real-time audio resampling library
ii  libsdl1.2debian    1.2.14-6.1            Simple DirectMedia Layer
ii  libsnmp15          5.4.3~dfsg-2          SNMP (Simple Network Management Pr
ii  libspandsp2        0.0.6~pre12-1         Telephony signal processing librar
ii  libspeex1          1.2~rc1-1             The Speex codec runtime library
ii  libspeexdsp1       1.2~rc1-1             The Speex extended runtime library
ii  libsqlite0         2.8.17-6              SQLite shared library
ii  libss7-1           1.0.2-1               Signalling System 7 (ss7) library
ii  libssl0.9.8        0.9.8o-4squeeze13     SSL shared libraries
ii  libstdc++6         4.4.5-8               The GNU Standard C++ Library v3
ii  libsybdb5          0.82-7                libraries for connecting to MS SQL
ii  libtiff4           3.9.4-5+squeeze8      Tag Image File Format (TIFF) libra
ii  libtonezone2.0     1:2.2.1.1-1           tonezone library (runtime)
ii  libvorbis0a        1.3.1-1+squeeze1      The Vorbis General Audio Compressi
ii  libvorbisenc2      1.3.1-1+squeeze1      The Vorbis General Audio Compressi
ii  libvpb0            4.2.52-2              Voicetronix telephony hardware use
ii  libx11-6           2:1.3.3-4             X11 client-side library
ii  libxml2            2.7.8.dfsg-2+squeeze6 GNOME XML library
ii  unixodbc           2.2.14p2-1            ODBC tools libraries
ii  zlib1g             1:1.2.3.4.dfsg-3      compression library - runtime

Versions of packages asterisk recommends:
ii  sox                           14.3.1-1   Swiss army knife of sound processi

Versions of packages asterisk suggests:
pn  asterisk-dev                  <none>     (no description available)
pn  asterisk-doc                  <none>     (no description available)
pn  asterisk-h323                 <none>     (no description available)

-- Configuration Files:
/etc/default/asterisk changed [not included]
/etc/logrotate.d/asterisk changed [not included]

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 08:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 698112@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Dennis Rech <it@wikon.de>, 698112@bugs.debian.org
Subject: Re: Bug#698112: asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 10:36:35 +0200
On Mon, Jan 14, 2013 at 08:38:35AM +0100, Dennis Rech wrote:
> Package: asterisk
> Version: 1:1.6.2.9-2+squeeze8
> Severity: grave
> Justification: renders package unusable
> 
> 
> asterisk crashes when placing a call after a update to recent versions with apt-get
> 
> Upgrade: asterisk:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), asterisk-sounds-main:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), asterisk-config:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9)
> 
> Error:
> 
> [9058168.846934] asterisk[2585]: segfault at 1 ip b7493b77 sp b5415684 error 4 in libc-2.11.3.so[b741e000+140000]
> [9058212.632085] asterisk[2709]: segfault at 1 ip b748db77 sp b540f684 error 4 in libc-2.11.3.so[b7418000+140000]

How asy is this issue to reproduce? What type of call? SIP? TCP?

Could you please install asterisk-dbg and gdb, run asterisk as:

cd /var/spool/asterisk
asterisk -U asterisk -g -c

and reproduce the issue

Then run:

  gdb -c core /usr/sbin/asterisk

and in the prompt of gdb run:

 bt
 bt full

and provide the output here.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 09:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Rech <dre@wikon.de>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 09:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 698112@bugs.debian.org (full text, mbox):

From: Dennis Rech <dre@wikon.de>
To: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Cc: Dennis Rech <it@wikon.de>, 698112@bugs.debian.org
Subject: Re: Bug#698112: asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 10:03:55 +0100
I've tried it on another system. Heres the output:

Core was generated by `asterisk -U asterisk -g -c'.
Program terminated with signal 11, Segmentation fault.
#0  0xb74e8b77 in strchrnul () from /lib/i686/cmov/libc.so.6
(gdb) bt
#0  0xb74e8b77 in strchrnul () from /lib/i686/cmov/libc.so.6
#1  0xb74afd78 in vfprintf () from /lib/i686/cmov/libc.so.6
#2  0xb74d2e30 in vsnprintf () from /lib/i686/cmov/libc.so.6
#3  0x080a683a in ast_devstate_changed (state=AST_DEVICE_UNKNOWN, 
cachable=AST_DEVSTATE_CACHABLE, fmt=0x1 <Address 0x1 out of bounds>) at 
devicestate.c:524
#4  0xb5b7d4be in update_call_counter (fup=<value optimized out>, 
event=<value optimized out>) at chan_sip.c:5914
#5  0xb5baa61b in handle_request_invite (p=<value optimized out>, 
req=<value optimized out>, debug=0, seqno=38802, sin=0xb54a822c, 
recount=0xb54a7cbc,
    e=0xb4f97793 "sip:33@obelisk.wikon.de;user=phone", 
nounlock=0xb54a7cb8) at chan_sip.c:20297
#6  0xb5bb1000 in handle_incoming (p=<value optimized out>, req=<value 
optimized out>, sin=0xb54a822c, recount=0xb54a7cbc, nounlock=0xb54a7cb8)
    at chan_sip.c:21984
#7  0xb5bb22e0 in handle_request_do (req=<value optimized out>, 
sin=<value optimized out>) at chan_sip.c:22296
#8  0xb5bb3af0 in sipsock_read (id=0x878a388, fd=13, events=1, 
ignore=0x0) at chan_sip.c:22185
#9  0x080cf2e5 in ast_io_wait (ioc=0x8750b60, howlong=1000) at io.c:288
#10 0xb5b8a273 in do_monitor (data=0x0) at chan_sip.c:22757
#11 0x0812ddc7 in dummy_start (data=0x878a7a0) at utils.c:967
#12 0xb732d955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#13 0xb753f1de in clone () from /lib/i686/cmov/libc.so.6



(gdb) bt full
#0  0xb74e8b77 in strchrnul () from /lib/i686/cmov/libc.so.6
No symbol table info available.
#1  0xb74afd78 in vfprintf () from /lib/i686/cmov/libc.so.6
No symbol table info available.
#2  0xb74d2e30 in vsnprintf () from /lib/i686/cmov/libc.so.6
No symbol table info available.
#3  0x080a683a in ast_devstate_changed (state=AST_DEVICE_UNKNOWN, 
cachable=AST_DEVSTATE_CACHABLE, fmt=0x1 <Address 0x1 out of bounds>) at 
devicestate.c:524
        buf = "\000mJ\265\000mJ\265\340lJ\265\270\207\371\264\"Marco 
Spann\" 
<sip:65\000ob`\030L\267\370mJ\265w\376\062\267\000\000\000\000i\022\063\267phon\324\302M\267ag=c\023\034\000\000\364_[\267"
#4  0xb5b7d4be in update_call_counter (fup=<value optimized out>, 
event=<value optimized out>) at chan_sip.c:5914
        name = "65", '\000' <repeats 78 times>, 
"P3x\b\000\000\000\000xnJ\265\024}J\265\000\000\000\000\360|J\265\000\000\000\000\200w\371\264\017\000\000\000\224@\273\265\f\000\000\000rz\371\264", 
'\000' <repeats 12 times>, 
"p\206\274\265\241z\371\264\000\000\000\000\310nJ\265\246.\265\265\274nJ\265\002\000\023\242\254\036\325\005p\206\274\265\241z\371\264\242\023\000\000\000\000\000\000\005\000\000\000\001\000\000\000\377\377\377\377\000\000\000\000\003", 
'\000' <repeats 23 times>, "\017\001\000\000\001\000\000\000\016", 
'\000' <repeats 11 times>, "XvJ\265p\206\274\265"
        outgoing = 0
        p = 0x8796368
        __PRETTY_FUNCTION__ = "update_call_counter"
#5  0xb5baa61b in handle_request_invite (p=<value optimized out>, 
req=<value optimized out>, debug=0, seqno=38802, sin=0xb54a822c, 
recount=0xb54a7cbc,
    e=0xb4f97793 "sip:33@obelisk.wikon.de;user=phone", 
nounlock=0xb54a7cb8) at chan_sip.c:20297
        res = <value optimized out>
        gotdest = -1253413064
        p_replaces = <value optimized out>
        replace_id = <value optimized out>
        refer_locked = 0
        required = 0xb5bb779a ""
        required_profile = <value optimized out>
        c = <value optimized out>
        reinvite = -1245936016
        rtn = <value optimized out>
        p_uac_se_hdr = <value optimized out>
        p_uac_min_se = <value optimized out>
        uac_max_se = -1
        uac_min_se = -1
        st_active = <value optimized out>
        st_interval = -1246005350
        st_ref = SESSION_TIMER_REFRESHER_AUTO
        dlg_min_se = <value optimized out>
        pickup = {exten = '\000' <repeats 79 times>, context = '\000' 
<repeats 79 times>}
        __PRETTY_FUNCTION__ = "handle_request_invite"
#6  0xb5bb1000 in handle_incoming (p=<value optimized out>, req=<value 
optimized out>, sin=0xb54a822c, recount=0xb54a7cbc, nounlock=0xb54a7cb8)
    at chan_sip.c:21984
        cmd = <value optimized out>
        cseq = <value optimized out>
        useragent = <value optimized out>
        seqno = 38802
       len = <value optimized out>
        respid = <value optimized out>
        res = <value optimized out>
        debug = 0
        e = <value optimized out>
        oldmethod = 6
        acked = <value optimized out>
        __PRETTY_FUNCTION__ = "handle_incoming"
#7  0xb5bb22e0 in handle_request_do (req=<value optimized out>, 
sin=<value optimized out>) at chan_sip.c:22296
        p = <value optimized out>
        recount = 0
        nounlock = 0
        lockretry = 10
        __PRETTY_FUNCTION__ = "handle_request_do"
#8  0xb5bb3af0 in sipsock_read (id=0x878a388, fd=13, events=1, 
ignore=0x0) at chan_sip.c:22185
        req = {rlPart1 = 0, rlPart2 = 7, len = 1046, headers = 15, 
method = 5, lines = 13, sdp_start = 0, sdp_count = 13, debug = 0 '\000',
          has_to_tag = 0 '\000', ignore = 0 '\000', authenticated = 1 
'\001', header = {0, 51, 118, 197, 239, 301, 335, 361, 536, 576, 596, 
637, 655, 742,
            773, 794, 0 <repeats 48 times>}, line = {796, 801, 837, 
849, 872, 879, 912, 924, 946, 968, 990, 1013, 1034, 1046, 0 <repeats 242 
times>},
          data = 0xb4f97780, socket = {type = SIP_TRANSPORT_UDP, fd = 
-1, port = 50195, tcptls_session = 0x0}, next = {next = 0x0}}
        sin = {sin_family = 2, sin_port = 50195, sin_addr = {s_addr = 
97853100}, sin_zero = "\000\000\000\000\000\000\000"}
        res = <value optimized out>
        len = 16
        readbuf = "INVITE sip:33@obelisk.wikon.de;user=phone 
SIP/2.0\r\nVia: SIP/2.0/UDP 
172.30.213.5:5060;branch=z9hG4bK370b89da23836343\r\nFrom: \"Marco 
Spann\" <sip:65@obelisk.wikon.de;user=phone>;tag=ce0770de600b64fc\r\nTo:"...
        __PRETTY_FUNCTION__ = "sipsock_read"
#9  0x080cf2e5 in ast_io_wait (ioc=0x8750b60, howlong=1000) at io.c:288
        res = 1
        x = 0
        origcnt = 1
#10 0xb5b8a273 in do_monitor (data=0x0) at chan_sip.c:22757
        res = 1
        t = 1358154110
        reloading = <value optimized out>
        __PRETTY_FUNCTION__ = "do_monitor"
#11 0x0812ddc7 in dummy_start (data=0x878a7a0) at utils.c:967
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = 
{142125048, 0, 4001536, -1253407848, -223845233, 1108721141}, 
__mask_was_saved = 0}}, __pad = {
            0xb54a8454, 0x0, 0x0, 0x0}}
        not_first_call = <value optimized out>
        ret = <value optimized out>
#12 0xb732d955 in start_thread () from /lib/i686/cmov/libpthread.so.0
No symbol table info available.
#13 0xb753f1de in clone () from /lib/i686/cmov/libc.so.6
No symbol table info available.



Am 14.01.2013 09:51, schrieb Dennis Rech:
> Dear Mr. Cohen,
>
> after the update to squeeze9, the asterisk process restarts fine. When 
> someone does a SIP call, the asterisk process immediately terminates 
> with the described segmentation fault (according to dmesg). As the 
> software is running on our production server infrastructure, I have 
> performed a downgrade to squeeze8 again to ensure proper operation 
> during our office hours. That's also the reason why I won't be able to 
> upgrade again and debug the system now because I have to keep the 
> telephony operational during office hours.
>
> Maybe I can reproduce it with a test system, I'll keep you informed.
>
> Regards,
>
> Dennis Rech
>
> Am 14.01.2013 09:36, schrieb Tzafrir Cohen:
>> On Mon, Jan 14, 2013 at 08:38:35AM +0100, Dennis Rech wrote:
>>> Package: asterisk
>>> Version: 1:1.6.2.9-2+squeeze8
>>> Severity: grave
>>> Justification: renders package unusable
>>>
>>>
>>> asterisk crashes when placing a call after a update to recent 
>>> versions with apt-get
>>>
>>> Upgrade: asterisk:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), 
>>> asterisk-sounds-main:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), 
>>> asterisk-config:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9)
>>>
>>> Error:
>>>
>>> [9058168.846934] asterisk[2585]: segfault at 1 ip b7493b77 sp 
>>> b5415684 error 4 in libc-2.11.3.so[b741e000+140000]
>>> [9058212.632085] asterisk[2709]: segfault at 1 ip b748db77 sp 
>>> b540f684 error 4 in libc-2.11.3.so[b7418000+140000]
>> How asy is this issue to reproduce? What type of call? SIP? TCP?
>>
>> Could you please install asterisk-dbg and gdb, run asterisk as:
>>
>> cd /var/spool/asterisk
>> asterisk -U asterisk -g -c
>>
>> and reproduce the issue
>>
>> Then run:
>>
>>    gdb -c core /usr/sbin/asterisk
>>
>> and in the prompt of gdb run:
>>
>>   bt
>>   bt full
>>
>> and provide the output here.
>>
>
>


-- 

Mit freundlichen Grüßen / Best regards,

Dennis Rech
Dipl.-Inf. (TU)

WIKON Kommunikationstechnik GmbH
Entwicklung / IT

Luxemburger Str. 1-3, D-67657 Kaiserslautern
mailto:dre@wikon.de * http://www.wikon.de
Tel: +49-631-205777-64 * Fax: +49-631-205777-99

Haftungsausschluss: http://www.wikon.de/cms/de/kontakt-impressum/impressum.html
HR B-Nr: 2561, Kaiserslautern
Geschäftsführer: Joachim Molz und Andreas Konzelmann

==============================================================
             WIKON - Fernwirksysteme über GSM
==============================================================




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Rousseau <guillaume.rousseau.bugreports@dev-web.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 09:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 698112@bugs.debian.org (full text, mbox):

From: Guillaume Rousseau <guillaume.rousseau.bugreports@dev-web.com>
To: Debian Bug Tracking System <698112@bugs.debian.org>
Subject: Re: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 10:02:02 +0100
Package: asterisk
Severity: normal


Got more details with gdb, using asterisk debugging procedure (bt, bt full, and thread apply all bt):

#0  0xb74fbb77 in strchrnul () from /lib/i686/cmov/libc.so.6
#1  0xb74c2d78 in vfprintf () from /lib/i686/cmov/libc.so.6
#2  0xb74e5e30 in vsnprintf () from /lib/i686/cmov/libc.so.6
#3  0x080a683a in ast_devstate_changed ()
#4  0xb69384be in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#5  0xb696561b in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#6  0xb696c000 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#7  0xb696d2e0 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#8  0xb696eaf0 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#9  0x080cf2e5 in ast_io_wait ()
#10 0xb6945273 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#11 0x0812ddc7 in ?? ()
#12 0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#13 0xb75521de in clone () from /lib/i686/cmov/libc.so.6
#0  0xb74fbb77 in strchrnul () from /lib/i686/cmov/libc.so.6
No symbol table info available.
#1  0xb74c2d78 in vfprintf () from /lib/i686/cmov/libc.so.6
No symbol table info available.
#2  0xb74e5e30 in vsnprintf () from /lib/i686/cmov/libc.so.6
No symbol table info available.
#3  0x080a683a in ast_devstate_changed ()
No symbol table info available.
#4  0xb69384be in ?? () from /usr/lib/asterisk/modules/chan_sip.so
No symbol table info available.
#5  0xb696561b in ?? () from /usr/lib/asterisk/modules/chan_sip.so
No symbol table info available.
#6  0xb696c000 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
No symbol table info available.
#7  0xb696d2e0 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
No symbol table info available.
#8  0xb696eaf0 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
No symbol table info available.
#9  0x080cf2e5 in ast_io_wait ()
No symbol table info available.
#10 0xb6945273 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
No symbol table info available.
#11 0x0812ddc7 in ?? ()
No symbol table info available.
#12 0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
No symbol table info available.
#13 0xb75521de in clone () from /lib/i686/cmov/libc.so.6
No symbol table info available.

Thread 37 (Thread 7401):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x080d552c in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 36 (Thread 7427):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x080cf27c in ast_io_wait ()
#3  0xb6646ac3 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 35 (Thread 7398):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb754309b in read () from /lib/i686/cmov/libc.so.6
#2  0x0813adf6 in ?? ()
#3  0x08136458 in el_getc ()
#4  0x0813665f in el_gets ()
#5  0x08078770 in main ()

Thread 34 (Thread 7431):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb751d2a6 in nanosleep () from /lib/i686/cmov/libc.so.6
#2  0xb67ef86b in ?? () from /usr/lib/asterisk/modules/func_lock.so
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 33 (Thread 7430):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x080cf27c in ast_io_wait ()
#3  0xb6772a9e in ?? () from /usr/lib/asterisk/modules/chan_unistim.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 32 (Thread 7429):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb754b361 in select () from /lib/i686/cmov/libc.so.6
#2  0xb62456a3 in ?? () from /usr/lib/asterisk/modules/chan_phone.so
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 31 (Thread 7428):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0xb602d0c4 in ?? () from /usr/lib/asterisk/modules/chan_dahdi.so
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 30 (Thread 7426):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 29 (Thread 7425):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 28 (Thread 7424):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 27 (Thread 7423):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 26 (Thread 7422):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 25 (Thread 7421):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 24 (Thread 7420):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 23 (Thread 7419):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 22 (Thread 7418):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 21 (Thread 7417):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb66713b6 in ?? () from /usr/lib/asterisk/modules/chan_iax2.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 20 (Thread 7416):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x0811d0c8 in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 19 (Thread 7411):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x080cf27c in ast_io_wait ()
#3  0xb5d100a3 in ?? () from /usr/lib/asterisk/modules/chan_skinny.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 18 (Thread 7410):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7553248 in accept () from /lib/i686/cmov/libc.so.6
#2  0xb5d12d4c in ?? () from /usr/lib/asterisk/modules/chan_skinny.so
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 17 (Thread 7409):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x08122994 in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 16 (Thread 7408):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x08122994 in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 15 (Thread 7407):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb5ddebc0 in ?? () from /usr/lib/asterisk/modules/res_timing_pthread.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 14 (Thread 7406):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb754b361 in select () from /lib/i686/cmov/libc.so.6
#2  0x080b78f8 in ?? ()
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 13 (Thread 7405):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x08122994 in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 12 (Thread 7404):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x080a6672 in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 11 (Thread 7403):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb754309b in read () from /lib/i686/cmov/libc.so.6
#2  0x0811f70f in ?? ()
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 10 (Thread 7402):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x0812dd68 in ast_wait_for_input ()
#3  0x08124323 in ast_tcptls_server_root ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 9 (Thread 7400):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x08074391 in ?? ()
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 8 (Thread 7399):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb7344fcf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb755f14d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0x08122994 in ?? ()
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 7 (Thread 7438):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x080769e5 in ?? ()
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 6 (Thread 7437):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb751d2a6 in nanosleep () from /lib/i686/cmov/libc.so.6
#2  0xb5a22f31 in ?? () from /usr/lib/asterisk/modules/pbx_spool.so
#3  0x0812ddc7 in ?? ()
#4  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#5  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 5 (Thread 7436):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x080cf27c in ast_io_wait ()
#3  0xb54a9848 in ?? () from /usr/lib/asterisk/modules/chan_mgcp.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 4 (Thread 7435):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb751d2a6 in nanosleep () from /lib/i686/cmov/libc.so.6
#2  0xb751d0d0 in sleep () from /lib/i686/cmov/libc.so.6
#3  0xb68ec378 in ?? () from /usr/lib/asterisk/modules/pbx_dundi.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 3 (Thread 7434):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb751d2a6 in nanosleep () from /lib/i686/cmov/libc.so.6
#2  0xb751d0d0 in sleep () from /lib/i686/cmov/libc.so.6
#3  0xb68f2f08 in ?? () from /usr/lib/asterisk/modules/pbx_dundi.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 7433):
#0  0xb777b424 in __kernel_vsyscall ()
#1  0xb75449a6 in poll () from /lib/i686/cmov/libc.so.6
#2  0x080cf27c in ast_io_wait ()
#3  0xb68ee18c in ?? () from /usr/lib/asterisk/modules/pbx_dundi.so
#4  0x0812ddc7 in ?? ()
#5  0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb75521de in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 7432):
#0  0xb74fbb77 in strchrnul () from /lib/i686/cmov/libc.so.6
#1  0xb74c2d78 in vfprintf () from /lib/i686/cmov/libc.so.6
#2  0xb74e5e30 in vsnprintf () from /lib/i686/cmov/libc.so.6
#3  0x080a683a in ast_devstate_changed ()
#4  0xb69384be in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#5  0xb696561b in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#6  0xb696c000 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#7  0xb696d2e0 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#8  0xb696eaf0 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#9  0x080cf2e5 in ast_io_wait ()
#10 0xb6945273 in ?? () from /usr/lib/asterisk/modules/chan_sip.so
#11 0x0812ddc7 in ?? ()
#12 0xb7340955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#13 0xb75521de in clone () from /lib/i686/cmov/libc.so.6
Undefined command: "exit".  Try "help".

Dont take care of informations below, I make a downgrade to squeeze6 version to get asterisk running.

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages asterisk depends on:
ii  adduser            3.112+nmu2            add and remove users and groups
ii  asterisk-config    1:1.6.2.9-2+squeeze6  Configuration files for Asterisk
ii  asterisk-core-soun 1.4.19-1              asterisk PBX sound files - English
ii  dahdi              1:2.2.1.1-1           utilities for using the DAHDI kern
ii  libasound2         1.0.23-2.1            shared library for ALSA applicatio
ii  libc-client2007e   8:2007e~dfsg-3.1      c-client library for mail protocol
ii  libc6              2.11.3-4              Embedded GNU C Library: Shared lib
ii  libcap2            1:2.19-3              support for getting/setting POSIX.
ii  libcurl3           7.21.0-2.1+squeeze2   Multi-protocol file transfer libra
ii  libgcc1            1:4.4.5-8             GCC support library
ii  libglib2.0-0       2.24.2-1              The GLib library of C routines
ii  libgmime-2.0-2a    2.2.25-2              MIME library
ii  libgsm1            1.0.13-3              Shared libraries for GSM speech co
ii  libiksemel3        1.2-4                 C library for the Jabber IM platfo
ii  libjack-jackd2-0 [ 1.9.6~dfsg.1-2        JACK Audio Connection Kit (librari
ii  libldap-2.4-2      2.4.23-7.2            OpenLDAP libraries
ii  liblua5.1-0        5.1.4-5               Simple, extensible, embeddable pro
ii  libncurses5        5.7+20100313-5        shared libraries for terminal hand
ii  libnewt0.52        0.52.11-1             Not Erik's Windowing Toolkit - tex
ii  libogg0            1.2.0~dfsg-1          Ogg bitstream library
ii  libopenais3        1.1.2-2               Standards-based cluster framework 
ii  libopenr2-3        1.3.0-2               MFC/R2 (telephony) call setup libr
ii  libpopt0           1.16-1                lib for parsing cmdline parameters
ii  libpq5             8.4.13-0squeeze1      PostgreSQL C client library
ii  libpri1.4          1.4.11.3-1            Primary Rate ISDN specification li
ii  libradiusclient-ng 0.5.6-1.1             Enhanced RADIUS client library
ii  libresample1       0.1.3-3               real-time audio resampling library
ii  libsdl1.2debian    1.2.14-6.1            Simple DirectMedia Layer
ii  libsnmp15          5.4.3~dfsg-2          SNMP (Simple Network Management Pr
ii  libspandsp2        0.0.6~pre12-1         Telephony signal processing librar
ii  libspeex1          1.2~rc1-1             The Speex codec runtime library
ii  libspeexdsp1       1.2~rc1-1             The Speex extended runtime library
ii  libsqlite0         2.8.17-6              SQLite shared library
ii  libss7-1           1.0.2-1               Signalling System 7 (ss7) library
ii  libssl0.9.8        0.9.8o-4squeeze13     SSL shared libraries
ii  libstdc++6         4.4.5-8               The GNU Standard C++ Library v3
ii  libsybdb5          0.82-7                libraries for connecting to MS SQL
ii  libtiff4           3.9.4-5+squeeze8      Tag Image File Format (TIFF) libra
ii  libtonezone2.0     1:2.2.1.1-1           tonezone library (runtime)
ii  libvorbis0a        1.3.1-1+squeeze1      The Vorbis General Audio Compressi
ii  libvorbisenc2      1.3.1-1+squeeze1      The Vorbis General Audio Compressi
ii  libvpb0            4.2.52-2              Voicetronix telephony hardware use
ii  libx11-6           2:1.3.3-4             X11 client-side library
ii  libxml2            2.7.8.dfsg-2+squeeze6 GNOME XML library
ii  unixodbc           2.2.14p2-1            ODBC tools libraries
ii  zlib1g             1:1.2.3.4.dfsg-3      compression library - runtime

Versions of packages asterisk recommends:
ii  sox                           14.3.1-1   Swiss army knife of sound processi

Versions of packages asterisk suggests:
pn  asterisk-dev                  <none>     (no description available)
pn  asterisk-doc                  <none>     (no description available)
pn  asterisk-h323                 <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Václav Ovsík <vaclav.ovsik@i.cz>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 09:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 698112@bugs.debian.org (full text, mbox):

From: Václav Ovsík <vaclav.ovsik@i.cz>
To: 698112@bugs.debian.org
Subject: confirmation
Date: Mon, 14 Jan 2013 10:08:11 +0100
Hi,
I can confirm this on i386 virtual machine:

Jan 14 09:13:28 ipbx kernel: [8686326.314568] asterisk[21321]: segfault at 1 ip b7501b77 sp b53dd684 error 4 in libc-2.11.3.so[b748c000+140000]
Jan 14 09:29:12 ipbx kernel: [  167.335659] asterisk[1181]: segfault at 1 ip b751ab77 sp b53ba684 error 4 in libc-2.11.3.so[b74a5000+140000]
Jan 14 09:33:51 ipbx kernel: [   36.331820] asterisk[1001]: segfault at 1 ip b7477b77 sp b5319684 error 4 in libc-2.11.3.so[b7402000+140000]

I have downgraded to revision 2+squeeze8
Regards
-- 
Zito



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Tourbeaux <contact@si7v.fr>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 09:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 698112@bugs.debian.org (full text, mbox):

From: Pierre Tourbeaux <contact@si7v.fr>
To: Debian Bug Tracking System <698112@bugs.debian.org>
Subject: Re: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 10:16:56 +0100
Hello.

Same thing here. When I make a call from my SIP phone (UDP) asterisk
(1.6.2.9-2+squeeze9, arch amd64) crashes and segfaults :

Jan 13 23:18:23 hestia kernel: [42381160.134024] asterisk[2811]:
segfault at 0 ip 00007fdaa3213f2a sp 00007fda7bbf4968 error 4 in
libc-2.11.3.so[7fdaa3193000+159000]

Regards,
Pierre Tourbeaux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 09:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Rech <dre@wikon.de>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 09:30:05 GMT) Full text and rfc822 format available.

Message #35 received at 698112@bugs.debian.org (full text, mbox):

From: Dennis Rech <dre@wikon.de>
To: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Cc: Dennis Rech <it@wikon.de>, 698112@bugs.debian.org
Subject: Re: Bug#698112: asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 09:51:38 +0100
Dear Mr. Cohen,

after the update to squeeze9, the asterisk process restarts fine. When 
someone does a SIP call, the asterisk process immediately terminates 
with the described segmentation fault (according to dmesg). As the 
software is running on our production server infrastructure, I have 
performed a downgrade to squeeze8 again to ensure proper operation 
during our office hours. That's also the reason why I won't be able to 
upgrade again and debug the system now because I have to keep the 
telephony operational during office hours.

Maybe I can reproduce it with a test system, I'll keep you informed.

Regards,

Dennis Rech

Am 14.01.2013 09:36, schrieb Tzafrir Cohen:
> On Mon, Jan 14, 2013 at 08:38:35AM +0100, Dennis Rech wrote:
>> Package: asterisk
>> Version: 1:1.6.2.9-2+squeeze8
>> Severity: grave
>> Justification: renders package unusable
>>
>>
>> asterisk crashes when placing a call after a update to recent versions with apt-get
>>
>> Upgrade: asterisk:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), asterisk-sounds-main:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9), asterisk-config:i386 (1.6.2.9-2+squeeze8, 1.6.2.9-2+squeeze9)
>>
>> Error:
>>
>> [9058168.846934] asterisk[2585]: segfault at 1 ip b7493b77 sp b5415684 error 4 in libc-2.11.3.so[b741e000+140000]
>> [9058212.632085] asterisk[2709]: segfault at 1 ip b748db77 sp b540f684 error 4 in libc-2.11.3.so[b7418000+140000]
> How asy is this issue to reproduce? What type of call? SIP? TCP?
>
> Could you please install asterisk-dbg and gdb, run asterisk as:
>
> cd /var/spool/asterisk
> asterisk -U asterisk -g -c
>
> and reproduce the issue
>
> Then run:
>
>    gdb -c core /usr/sbin/asterisk
>
> and in the prompt of gdb run:
>
>   bt
>   bt full
>
> and provide the output here.
>


-- 

Mit freundlichen Grüßen / Best regards,

Dennis Rech
Dipl.-Inf. (TU)

WIKON Kommunikationstechnik GmbH
Entwicklung / IT

Luxemburger Str. 1-3, D-67657 Kaiserslautern
mailto:dre@wikon.de * http://www.wikon.de
Tel: +49-631-205777-64 * Fax: +49-631-205777-99

Haftungsausschluss: http://www.wikon.de/cms/de/kontakt-impressum/impressum.html
HR B-Nr: 2561, Kaiserslautern
Geschäftsführer: Joachim Molz und Andreas Konzelmann

==============================================================
             WIKON - Fernwirksysteme über GSM
==============================================================




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 11:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 698112@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Dennis Rech <dre@wikon.de>, 698112@bugs.debian.org
Subject: Re: Bug#698112: asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 13:29:17 +0200
tag 698112 pending
thanks

On Mon, Jan 14, 2013 at 10:03:55AM +0100, Dennis Rech wrote:
> I've tried it on another system. Heres the output:

Thanks. Issue traced to a typo (of my part) in one of the two patches:

http://anonscm.debian.org/viewvc/pkg-voip?view=revision&revision=10073

I uploaded test packages to
http://people.debian.org/~tzafrir/ast_squeeze10/

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir



Added tag(s) pending. Request was from Tzafrir Cohen <tzafrir.cohen@xorcom.com> to control@bugs.debian.org. (Mon, 14 Jan 2013 11:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Mon, 14 Jan 2013 11:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Tourbeaux <contact@si7v.fr>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 11:45:10 GMT) Full text and rfc822 format available.

Message #47 received at 698112@bugs.debian.org (full text, mbox):

From: Pierre Tourbeaux <contact@si7v.fr>
To: Tzafrir Cohen <tzafrir.cohen@xorcom.com>, 698112@bugs.debian.org
Subject: Re: Bug#698112: asterisk: Segfault when making a call after update to 1.6.2.9-2+squeeze9
Date: Mon, 14 Jan 2013 12:41:28 +0100
Le lundi 14 janvier 2013 à 13:29 +0200, Tzafrir Cohen a écrit :
> tag 698112 pending
> thanks
> 
> On Mon, Jan 14, 2013 at 10:03:55AM +0100, Dennis Rech wrote:
> > I've tried it on another system. Heres the output:
> 
> Thanks. Issue traced to a typo (of my part) in one of the two patches:
> 
> http://anonscm.debian.org/viewvc/pkg-voip?view=revision&revision=10073
> 
> I uploaded test packages to
> http://people.debian.org/~tzafrir/ast_squeeze10/

Just installed your packages, it works.

Thanks,
Pierre Tourbeaux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698112; Package asterisk. (Wed, 16 Jan 2013 14:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Brack <fb@ltec.ch>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Wed, 16 Jan 2013 14:51:11 GMT) Full text and rfc822 format available.

Message #52 received at 698112@bugs.debian.org (full text, mbox):

From: Felix Brack <fb@ltec.ch>
To: 698112@bugs.debian.org
Subject: Upload of testpackage for i386 possible?
Date: Wed, 16 Jan 2013 15:27:48 +0100
You uploaded test packages for amd64 that seem to fix the problem.

As I am on i386 I would like to ask to upload test packages for this 
architecture too if possible.

many thanks, Felix



Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 23:21:41 GMT) Full text and rfc822 format available.

Notification sent to Dennis Rech <it@wikon.de>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 23:21:42 GMT) Full text and rfc822 format available.

Message #57 received at 698112-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 698112-close@bugs.debian.org
Subject: Bug#698112: fixed in asterisk 1:1.6.2.9-2+squeeze10
Date: Sun, 20 Jan 2013 23:17:15 +0000
Source: asterisk
Source-Version: 1:1.6.2.9-2+squeeze10

We believe that the bug you reported is fixed in the latest version of
asterisk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698112@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated asterisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Jan 2013 15:15:28 +0200
Source: asterisk
Binary: asterisk asterisk-h323 asterisk-doc asterisk-dev asterisk-dbg asterisk-sounds-main asterisk-config
Architecture: source all amd64
Version: 1:1.6.2.9-2+squeeze10
Distribution: stable-security
Urgency: high
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 asterisk   - Open Source Private Branch Exchange (PBX)
 asterisk-config - Configuration files for Asterisk
 asterisk-dbg - Debugging symbols for Asterisk
 asterisk-dev - Development files for Asterisk
 asterisk-doc - Source code documentation for Asterisk
 asterisk-h323 - H.323 protocol support for Asterisk
 asterisk-sounds-main - Core Sound files for Asterisk (English)
Closes: 698112 698118
Changes: 
 asterisk (1:1.6.2.9-2+squeeze10) stable-security; urgency=high
 .
   * Fix typo in patch AST-2012-015 (Closes: #698112, #698118).
   * Fix an error in patch AST-2012-014 (Javier Serrano Polo).
Checksums-Sha1: 
 bcd96b9bc37d613c2ea95490294a566fb1d3bc23 2226 asterisk_1.6.2.9-2+squeeze10.dsc
 2e83d9af0536e904533419bc007f7f2c05b76400 114771 asterisk_1.6.2.9-2+squeeze10.debian.tar.gz
 8d814b08deca05f057bfee096a55b65ca960fcb2 1708056 asterisk-doc_1.6.2.9-2+squeeze10_all.deb
 f24a573f98ad35864fde47178254bc274e116815 636704 asterisk-dev_1.6.2.9-2+squeeze10_all.deb
 905e3481b0c9b8ad9a175a07cbba6a244f6804ae 2186260 asterisk-sounds-main_1.6.2.9-2+squeeze10_all.deb
 f2a1c1ffd7ccae9679767092dffac27d4b2de47c 717632 asterisk-config_1.6.2.9-2+squeeze10_all.deb
 3da5ebcc267b7067ac198626ee679dc5e30d6a0d 3603184 asterisk_1.6.2.9-2+squeeze10_amd64.deb
 9cc5ebdd846af0d86c4309c53d54c78653594e2f 534108 asterisk-h323_1.6.2.9-2+squeeze10_amd64.deb
 9acec680becdf9395646f0d8d855676b3e23c1e8 20345242 asterisk-dbg_1.6.2.9-2+squeeze10_amd64.deb
Checksums-Sha256: 
 f96852fdf00ede39ec9a96f8a0dcd2ab255d851e4137082b1f7ed1fea98194cb 2226 asterisk_1.6.2.9-2+squeeze10.dsc
 64d48226e6813f1e18d47ea07707303f9ca47944207a8e8455215b41506ee515 114771 asterisk_1.6.2.9-2+squeeze10.debian.tar.gz
 39a7b33f5703e22b7adedf91254a8306a2ed7611a3784aa865559076dc36dc1c 1708056 asterisk-doc_1.6.2.9-2+squeeze10_all.deb
 3496fef579f1ca214d5a7459c8e0473ee2394253333fa6baa9cf93e36f438896 636704 asterisk-dev_1.6.2.9-2+squeeze10_all.deb
 dcf643afa3746ba25cbc87e16608ad975d31cd9cd545c3fa2aa45505a111ca5e 2186260 asterisk-sounds-main_1.6.2.9-2+squeeze10_all.deb
 2a37fd9b09c6ad0155ed0c610c6254fbab43d5d361dc15cffae0870969b8aa30 717632 asterisk-config_1.6.2.9-2+squeeze10_all.deb
 ddcca7b6a0212ead5e8766d0b705f18932fae8415c29c26440ea3423c5c88a38 3603184 asterisk_1.6.2.9-2+squeeze10_amd64.deb
 c89bac8eab78d579d8d4f0ec5f681528ee0cfe68b8a146133f5a3b9d1d442def 534108 asterisk-h323_1.6.2.9-2+squeeze10_amd64.deb
 a3780b030989dd790873c92310b5e101724f6c8ba467707ae690fe950acc5ba0 20345242 asterisk-dbg_1.6.2.9-2+squeeze10_amd64.deb
Files: 
 82e5e87e0d7c88da04e98fca92d7c5d0 2226 comm optional asterisk_1.6.2.9-2+squeeze10.dsc
 fa6b5e86b3e3548b58f3defed2ee2965 114771 comm optional asterisk_1.6.2.9-2+squeeze10.debian.tar.gz
 cce028da455d24fa8d893a38e6098e54 1708056 doc extra asterisk-doc_1.6.2.9-2+squeeze10_all.deb
 4451cfb7c1bf00472937fbd2a87789ca 636704 devel extra asterisk-dev_1.6.2.9-2+squeeze10_all.deb
 046d12d4f3726812743dcc652003f1ef 2186260 comm optional asterisk-sounds-main_1.6.2.9-2+squeeze10_all.deb
 03f2360d85ead19c33a9912c87f4df0e 717632 comm optional asterisk-config_1.6.2.9-2+squeeze10_all.deb
 8282e2881d1c8d18b9cfbfe31878a3ea 3603184 comm optional asterisk_1.6.2.9-2+squeeze10_amd64.deb
 b417b068ce4d5d7101d40fa7bcb3db4b 534108 comm optional asterisk-h323_1.6.2.9-2+squeeze10_amd64.deb
 5277647ebfde1f5eaca8bdcd11c86148 20345242 debug extra asterisk-dbg_1.6.2.9-2+squeeze10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD0VP4ACgkQxArWdkN9MovmeQCfS+LzsGqNxXSi0wMOZUgEgoH6
tgMAn0QPZNLKmXfysIcFGZksMm0j0n4p
=xH2E
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Feb 2013 07:25:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:12:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.